Description

Supportanfrage

Ich bin auf der Suche nach dem Source Code des Pcap Receivers.

Ich finde im Device Toolbox src\examples\src Ordner Code für verschiedene Demo Plugins, aber nicht für den Pcap Receiver. Ist der

Code copyright geschüzt?

Und wenn nein, wo kann ich den code finden?

Lösung

Grundsätzlich ist alles in ADTF und den Toolboxen closed source, es werden nur die Examples (auch produktive ohne Demo Label)

mit Quellcode geliefert. Den Rest gibt's nur in Binary Form, sie auch den PCap Ethernet Receiver.

History

#1 - 2022-11-30 19:35 - hidden

- Project changed from 30 to Public Support

- Subject changed from  source code von Pcap Receiver plugin to Source code of PCap Receiver Plugin

- Description updated

- Status changed from New to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

- Topic set to DeviceTB::Ethernet

Hallo Sebastian

Grundsätzlich ist alles in ADTF und den Toolboxen closed source, es werden nur die Examples (auch produktive ohne Demo Label) mit Quellcode

geliefert. Den Rest gibt's nur in Binary Form, sie auch den PCap Ethernet Receiver.

#2 - 2022-12-01 10:15 - hidden

Ok verstehe. Hatte ich auch angenommen. Danke für die Info.

Eine letzte Frage. Wäre es möglich, dass ihr mir sagen könnt, welche pcap library ihr nutzt?

Ich weiß, dass man pcap treiber installieren muss. In meinem Fall hatte ich bisher immer npcap Version 1.6.0 installiert.

Ich hatte die bisher von hier https://npcap.com/ herunter geladen.

Nutzt ihr dann auch diese npcap SDKs dafür? also z.B. npcap-sdk-1.13 ?

Viele Grüße

Sebastian

#3 - 2022-12-01 20:07 - hidden

Hallo Sebastian

2024-04-19 1/2

https://npcap.com/


Mit folgenden Versionen haben wir getestet:

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_pcap_receiver_plugin.html#section_pcap_ethernet_r

eceiver_reference

#4 - 2023-01-17 08:49 - hidden

- Status changed from To Be Closed to Closed
